﻿using PIbd_24_EredavkinRA_BusBusiness.Entities.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_24_EredavkinRA_BusBusiness.Entities;

public class Staff
{
    public int Id { get; private set; }
    [DisplayName("Имя")]
    public string FirstName { get; private set; } = string.Empty;
    [DisplayName("Фамилия")]
    public string LastName { get; private set; } = string.Empty;
    public string FullName => $"{LastName} {FirstName}";
    [DisplayName("Должность")]
    public EmployeePost EmployeePost { get; private set; } 
    public static Staff CreatEntity(int id, string first, string last,  EmployeePost employeePost)
    {
        return new Staff
        {
            Id = id,
            FirstName = first ?? string.Empty,
            LastName = last ?? string.Empty,
            EmployeePost = employeePost
        };
    }
}
