﻿using PIbd_24_EredavkinRA_BusBusiness.Entities.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_24_EredavkinRA_BusBusiness.Entities;

public class Bus
{
    public int Id { get; private set; }
    [DisplayName("Модель автобуса")]
    public ModelType ModelType { get; private set; }
    [DisplayName("Номерной знак")]
    public string N_Z { get; private set; } = string.Empty;
    [DisplayName("Вместимость автобуса")] 
    
    public int Capacity { get; private set; }
    [DisplayName("Пробег")]
    public double Bus_mileage { get; private set; } 

    public static Bus CreateEntity(int id, ModelType modeltype, string n_z, double bus_mileage, int capacity)
    {
        return new Bus
        {
            Id = id,
            ModelType = modeltype,
            N_Z = n_z ?? string.Empty,
            Capacity = capacity,
            Bus_mileage = bus_mileage
        };

    }
}
