﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PIbd_24_EredavkinRA_BusBusiness.Entities;

public class Rout
{ 
    public int Id { get; private set; }
    [DisplayName("Начальная остановка")]
    public string StartStop { get; private set; } = string.Empty;
    [DisplayName("Конечная остановка")]
    public string EndStop { get; private set; } = string.Empty;
    [DisplayName("Номер Маршрута")]
    public int NumberRout { get; private set; }
    public string FullRout => $"{NumberRout} {StartStop} {EndStop}"; 
    public static Rout CreateEntity(int id, string startstop, string endstop, int numberrout)
    {
        return new Rout
        {
            Id = id,
            StartStop = startstop ?? string.Empty,
            EndStop = endstop ?? string.Empty,
            NumberRout = numberrout

        };
    }

}
